Recent Topics

bagisto upgrade from 1.1.0 to 1.1.2 using git fails in every combination I have tried



  • @mikeyapina said in bagisto upgrade from 1.1.0 to 1.1.2 using git fails in every combination I have tried:

    error: The following untracked working tree files would be overwritten by merge:
    .editorconfig

    I got there but am getting this error when importing old data

    CREATE DEFINER=storeadmin@% FUNCTION get_url_path_of_category (categoryId INT, localeCode VARCHAR(255)) RETURNS VARCHAR(255) CHARSET latin1 BEGIN

                DECLARE urlPath VARCHAR(255);
    
                IF NOT EXISTS (
                    SELECT id
                    FROM categories
                    WHERE
                        id = categoryId
                        AND parent_id IS NULL
                )
                THEN
                    SELECT
                        GROUP_CONCAT(parent_translations.slug SEPARATOR '/') INTO urlPath
                    FROM
                        categories AS node,
                        categories AS parent
                        JOIN category_translations AS parent_translations ON parent.id = parent_translations.category_id
                    WHERE
                        node._lft >= parent._lft
                        AND node._rgt <= parent._rgt
                        AND node.id = categoryId
                  [...]
    

    MySQL said: Documentation

    #1304 - FUNCTION get_url_path_of_category already exists



  • but unforntunalty nothing changed it is still the same version

    php artisan bagisto:version
    v1.1.0gave me the same version even after doign the instructions now my site is down



  • @mikeyapina

    [email protected]:/var/www/html/bagisto$ php artisan bagisto:version
    v1.1.0
    [email protected]:/var/www/html/bagisto$ sudo git reset --hard v1.1.2
    HEAD is now at c88ca31b9 Merge pull request #2961 from jitendra-webkul/1.0
    [email protected]:/var/www/html/bagisto$ php artisan bagisto:version
    v1.1.0
    [email protected]:/var/www/html/bagisto$



  • @ghermans every step. Irincially I am getting HTTPS and HTTP issues like I had before and guess what it dint upgrade to 1.1.2 it went to 1.1.0 where ei was before.

    so all of this and my site down on bad instructions!



  • I do not know what is happening here!

    [email protected]:/var/www/html/bagisto$ sudo composer create-project
    Do not run Composer as root/super user! See https://getcomposer.org/root for details

    @php -r "file_exists('.env') || copy('.env.example', '.env');"
    Loading composer repositories with package information
    Installing dependencies (including require-dev) from lock file
    Package operations: 5 installs, 73 updates, 25 removals

    • Removing voku/portable-ascii (1.5.1)
    • Removing symfony/string (v5.1.0)
    • Removing symfony/polyfill-php80 (v1.17.0)
    • Removing symfony/polyfill-intl-normalizer (v1.17.0)
    • Removing symfony/polyfill-intl-grapheme (v1.17.0)
    • Removing symfony/deprecation-contracts (v2.1.2)
    • Removing sebastian/type (1.1.3)
    • Removing react/promise (v2.8.0)
    • Removing ramsey/collection (1.0.1)
    • Removing psr/event-dispatcher (1.0.0)
    • Removing myclabs/php-enum (1.7.6)
    • Removing maennchen/zipstream-php (2.1.0)
    • Removing league/oauth1-client (1.7.0)
    • Removing laravel/socialite (v4.4.1)
    • Removing laravel/scout (v8.0.1)
    • Removing facade/ignition-contracts (1.0.0)
    • Removing ezimuel/ringphp (1.1.2)
    • Removing ezimuel/guzzlestreams (3.0.1)
    • Removing elasticsearch/elasticsearch (v7.8.0)
    • Removing brick/math (0.8.15)
    • Removing babenkoivan/elastic-scout-driver (v1.1.0)
    • Removing babenkoivan/elastic-client (v1.0.1)
    • Removing babenkoivan/elastic-adapter (v1.2.0)
    • Removing algolia/algoliasearch-client-php (2.7.0)
    • Removing laravel/ui (v2.0.3)
    • Downgrading symfony/polyfill-ctype (v1.17.0 => v1.14.0): Loading from cache
    • Downgrading phpoption/phpoption (1.7.4 => 1.7.2): Loading from cache
    • Downgrading vlucas/phpdotenv (v4.1.7 => v3.6.1): Loading from cache
    • Downgrading symfony/css-selector (v5.1.0 => v5.0.5): Loading from cache
    • Downgrading symfony/polyfill-php72 (v1.17.0 => v1.15.0): Loading from cache
    • Downgrading symfony/polyfill-mbstring (v1.17.0 => v1.15.0): Loading from cache
    • Downgrading symfony/var-dumper (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading symfony/routing (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading symfony/process (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading symfony/polyfill-php73 (v1.17.0 => v1.14.0): Loading from cache
    • Downgrading symfony/polyfill-intl-idn (v1.17.0 => v1.15.0): Loading from cache
    • Downgrading symfony/mime (v5.1.0 => v5.0.7): Loading from cache
    • Downgrading symfony/http-foundation (v5.1.0 => v4.4.7): Loading from cache
    • Downgrading symfony/event-dispatcher-contracts (v2.1.2 => v1.1.7): Loading from cache
    • Downgrading symfony/event-dispatcher (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading psr/log (1.1.3 => 1.1.2): Loading from cache
    • Downgrading symfony/debug (v4.4.9 => v4.4.5): Loading from cache
    • Downgrading symfony/error-handler (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading symfony/http-kernel (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading symfony/finder (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading symfony/service-contracts (v2.1.2 => v2.0.1): Loading from cache
    • Downgrading symfony/console (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading symfony/polyfill-iconv (v1.17.0 => v1.14.0): Loading from cache
    • Downgrading doctrine/lexer (1.2.1 => 1.2.0): Loading from cache
    • Installing paragonie/random_compat (v9.99.99): Loading from cache
    • Downgrading ramsey/uuid (4.0.1 => 3.9.3): Loading from cache
    • Downgrading opis/closure (3.5.4 => 3.5.1): Loading from cache
    • Downgrading symfony/translation-contracts (v2.1.2 => v2.0.1): Loading from cache
    • Downgrading symfony/translation (v5.1.0 => v4.4.5): Loading from cache
    • Downgrading nesbot/carbon (2.35.0 => 2.31.0): Loading from cache
    • Downgrading monolog/monolog (2.1.0 => 2.0.2): Loading from cache
    • Downgrading league/flysystem (1.0.69 => 1.0.65): Loading from cache
    • Downgrading league/commonmark (1.4.3 => 1.3.1): Loading from cache
    • Downgrading doctrine/inflector (2.0.3 => 1.3.1): Loading from cache
    • Downgrading laravel/framework (v7.14.1 => v6.18.1): Loading from cache
    • Downgrading astrotomic/laravel-translatable (v11.8.1 => v11.8.0): Downloading (100%)
    • Downgrading maximebf/debugbar (v1.16.3 => v1.16.1): Downloading (100%)
    • Downgrading barryvdh/laravel-debugbar (v3.3.3 => v3.2.9): Downloading (100%)
    • Downgrading sabberworm/php-css-parser (8.3.1 => 8.3.0): Loading from cache
    • Downgrading phenx/php-font-lib (0.5.2 => 0.5.1): Loading from cache
    • Downgrading barryvdh/laravel-dompdf (v0.8.6 => v0.8.5): Loading from cache
    • Downgrading doctrine/cache (1.10.1 => 1.10.0): Loading from cache
    • Downgrading guzzlehttp/guzzle (6.5.4 => 6.5.2): Loading from cache
    • Downgrading kalnoy/nestedset (v5.0.1 => v5.0.0): Loading from cache
    • Downgrading konekt/enum (3.0.0 => 2.3.0): Loading from cache
    • Downgrading konekt/concord (1.5.1 => 1.5.0): Loading from cache
    • Downgrading nikic/php-parser (v4.5.0 => v4.3.0): Loading from cache
    • Installing jakub-onderka/php-console-color (v0.2): Loading from cache
    • Installing jakub-onderka/php-console-highlighter (v0.4): Loading from cache
    • Downgrading psy/psysh (v0.10.4 => v0.9.12): Loading from cache
    • Downgrading laravel/tinker (v2.4.0 => v1.0.10): Loading from cache
    • Downgrading lcobucci/jwt (3.3.2 => 3.3.1): Loading from cache
    • Downgrading phpoffice/phpspreadsheet (1.13.0 => 1.11.0): Downloading (100%)
    • Downgrading maatwebsite/excel (3.1.19 => 3.1.18): Loading from cache
    • Downgrading prettus/l5-repository (2.6.45 => 2.6.42): Downloading (100%)
    • Downgrading symfony/polyfill-util (v1.17.0 => v1.14.0): Loading from cache
    • Downgrading symfony/polyfill-php56 (v1.17.0 => v1.14.0): Loading from cache
    • Downgrading behat/gherkin (v4.6.2 => v4.6.1): Loading from cache
    • Downgrading sebastian/global-state (3.0.0 => 2.0.0): Loading from cache
    • Downgrading phpunit/php-code-coverage (7.0.10 => 6.1.4): Loading from cache
    • Downgrading webmozart/assert (1.8.0 => 1.7.0): Loading from cache
    • Downgrading phpdocumentor/reflection-common (2.1.0 => 2.0.0): Loading from cache
    • Downgrading doctrine/instantiator (1.3.1 => 1.3.0): Loading from cache
    • Downgrading phpunit/phpunit (8.5.5 => 7.5.20): Loading from cache
    • Downgrading codeception/phpunit-wrapper (8.1.2 => 7.8.0): Loading from cache
    • Downgrading codeception/lib-asserts (1.12.0 => 1.2.0): Loading from cache
    • Downgrading symfony/yaml (v5.1.0 => v5.0.5): Loading from cache
    • Downgrading codeception/stub (3.6.1 => 3.0.0): Loading from cache
    • Downgrading codeception/module-asserts (1.2.1 => 1.1.1): Loading from cache
    • Downgrading symfony/dom-crawler (v5.1.0 => v5.0.5): Loading from cache
    • Downgrading symfony/browser-kit (v5.1.0 => v5.0.5): Loading from cache
    • Downgrading codeception/module-laravel5 (1.1.0 => 1.0.0): Loading from cache
    • Downgrading codeception/module-webdriver (1.1.0 => 1.0.7): Loading from cache
    • Downgrading mockery/mockery (1.4.0 => 1.3.1): Loading from cache
    • Downgrading filp/whoops (2.7.2 => 2.7.1): Loading from cache
    • Downgrading nunomaduro/collision (v4.2.0 => v2.1.1): Loading from cache
    • Installing laravel/helpers (v1.2.0): Loading from cache
    • Installing nwidart/laravel-modules (3.3.1): Loading from cache
      paragonie/random_compat suggests installing ext-libsodium (Provides a modern crypto API that can be used to generate random bytes.)
      Package jeremeamia/superclosure is abandoned, you should avoid using it. Use opis/closure instead.
      Package jakub-onderka/php-console-color is abandoned, you should avoid using it. Use php-parallel-lint/php-console-color instead.
      Package jakub-onderka/php-console-highlighter is abandoned, you should avoid using it. Use php-parallel-lint/php-console-highlighter instead.
      Generating optimized autoload files

    Illuminate\Foundation\ComposerScripts::postAutoloadDump
    @php artisan package:discover
    Discovered Package: astrotomic/laravel-translatable
    Discovered Package: barryvdh/laravel-dompdf
    Discovered Package: fideloper/proxy
    Discovered Package: flynsarmy/db-blade-compiler
    Discovered Package: intervention/image
    Discovered Package: kalnoy/nestedset
    Discovered Package: konekt/concord
    Discovered Package: konekt/enum-eloquent
    Discovered Package: laravel/tinker
    Discovered Package: maatwebsite/excel
    Discovered Package: nesbot/carbon
    Discovered Package: nunomaduro/collision
    Discovered Package: nwidart/laravel-modules
    Discovered Package: prettus/l5-repository
    Discovered Package: tymon/jwt-auth
    Package manifest generated successfully.
    @php artisan key:generate
    Application key set successfully.
    Webkul\Core\Events\ComposerEvents::postCreateProject


    | __ ) __ _ __ ()| | ___
    | _ \ / |/ _ | / __| __/ _
    | |
    ) | (
    | | (
    | | __ \ || () |
    |
    / _,|_, ||/__/
    |
    __/

    Welcome to the Bagisto project! Bagisto Community is an open-source e-commerce ecosystem
    which is built on top of Laravel and Vue.js.

    Made with 💖 by the Bagisto Team. Happy helping 🙂

    [email protected]:/var/www/html/bagisto$ php artisan vendor:publish

    Which provider or tag's files would you like to publish?:
    [0 ] Publish files from all providers and tags listed below
    [1 ] Provider: Astrotomic\Translatable\TranslatableServiceProvider
    [2 ] Provider: Barryvdh\Debugbar\ServiceProvider
    [3 ] Provider: Barryvdh\DomPDF\ServiceProvider
    [4 ] Provider: Fideloper\Proxy\TrustedProxyServiceProvider
    [5 ] Provider: Flynsarmy\DbBladeCompiler\DbBladeCompilerServiceProvider
    [6 ] Provider: Illuminate\Foundation\Providers\FoundationServiceProvider
    [7 ] Provider: Illuminate\Mail\MailServiceProvider
    [8 ] Provider: Illuminate\Notifications\NotificationServiceProvider
    [9 ] Provider: Illuminate\Pagination\PaginationServiceProvider
    [10] Provider: Intervention\Image\ImageServiceProviderLaravelRecent
    [11] Provider: Konekt\Concord\ConcordServiceProvider
    [12] Provider: Laravel\Tinker\TinkerServiceProvider
    [13] Provider: Maatwebsite\Excel\ExcelServiceProvider
    [14] Provider: Nwidart\Modules\LaravelModulesServiceProvider
    [15] Provider: Prettus\Repository\Providers\RepositoryServiceProvider
    [16] Provider: Tymon\JWTAuth\Providers\LaravelServiceProvider
    [17] Provider: Webkul\Admin\Providers\AdminServiceProvider
    [18] Provider: Webkul\BookingProduct\Providers\BookingProductServiceProvider
    [19] Provider: Webkul\Core\Providers\CoreServiceProvider
    [20] Provider: Webkul\Product\Providers\ProductServiceProvider
    [21] Provider: Webkul\Shop\Providers\ShopServiceProvider
    [22] Provider: Webkul\Ui\Providers\UiServiceProvider
    [23] Provider: Webkul\Velocity\Providers\VelocityServiceProvider
    [24] Tag: config
    [25] Tag: laravel-errors
    [26] Tag: laravel-mail
    [27] Tag: laravel-notifications
    [28] Tag: laravel-pagination
    [29] Tag: public
    [30] Tag: translatable

    0

    Copied Directory [/vendor/laravel/framework/src/Illuminate/Foundation/Exceptions/views] To [/resources/views/errors]
    Copied Directory [/vendor/laravel/framework/src/Illuminate/Notifications/resources/views] To [/resources/views/vendor/notifications]
    Copied Directory [/vendor/laravel/framework/src/Illuminate/Pagination/resources/views] To [/resources/views/vendor/pagination]
    Copied Directory [/packages/Webkul/Admin/publishable/assets] To [/public/vendor/webkul/admin/assets]
    Copied Directory [/packages/Webkul/Ui/publishable/assets] To [/public/vendor/webkul/ui/assets]
    Copied Directory [/packages/Webkul/Shop/publishable/assets] To [/public/themes/default/assets]
    Copied Directory [/packages/Webkul/Velocity/publishable/assets] To [/public/themes/velocity/assets]
    Copied Directory [/packages/Webkul/Velocity/src/Resources/views/shop] To [/resources/themes/velocity/views]
    Copied Directory [/packages/Webkul/BookingProduct/publishable/assets] To [/public/themes/default/assets]
    Copied Directory [/vendor/laravel/framework/src/Illuminate/Mail/resources/views] To [/resources/views/vendor/mail]
    Publishing complete.
    [email protected]:/var/www/html/bagisto$ php artisan storage:link
    The "public/storage" directory already exists.
    [email protected]:/var/www/html/bagisto$ composer dump-autoload
    Cannot create cache directory /home/ubuntu/.composer/cache/repo/https---repo.packagist.org/, or directory is not writable. Proceeding without cache
    Cannot create cache directory /home/ubuntu/.composer/cache/files/, or directory is not writable. Proceeding without cache
    Generating optimized autoload files

    [ErrorException]
    file_put_contents(/var/www/html/bagisto/vendor/composer/autoload_namespaces.php): failed to open stream: Permission denied

    dump-autoload [--no-scripts] [-o|--optimize] [-a|--classmap-authoritative] [--apcu] [--no-dev]

    [email protected]:/var/www/html/bagisto$ sudo composer dump-autoload
    Do not run Composer as root/super user! See https://getcomposer.org/root for details
    Generating optimized autoload files> Illuminate\Foundation\ComposerScripts::postAutoloadDump

    @php artisan package:discover
    Discovered Package: astrotomic/laravel-translatable
    Discovered Package: barryvdh/laravel-dompdf
    Discovered Package: fideloper/proxy
    Discovered Package: flynsarmy/db-blade-compiler
    Discovered Package: intervention/image
    Discovered Package: kalnoy/nestedset
    Discovered Package: konekt/concord
    Discovered Package: konekt/enum-eloquent
    Discovered Package: laravel/tinker
    Discovered Package: maatwebsite/excel
    Discovered Package: nesbot/carbon
    Discovered Package: nunomaduro/collision
    Discovered Package: nwidart/laravel-modules
    Discovered Package: prettus/l5-repository
    Discovered Package: tymon/jwt-auth
    Package manifest generated successfully.
    Generated optimized autoload files containing 6497 classes
    [email protected]:/var/www/html/bagisto$ php artisan bagisto:version
    v1.1.0



  • Hi @mikeyapina
    could you show me the directory structure inside package/webkul folder



  • @Vaishali-Agarwal said in bagisto upgrade from 1.1.0 to 1.1.2 using git fails in every combination I have tried:

    package/webkul

    1541313 drwxr-sr-x+ 26 www-data www-data 4096 Jul 23 02:56 .
    1541312 drwxr-sr-x+ 3 www-data www-data 4096 Mar 24 15:13 ..
    1541314 drwxr-sr-x+ 4 www-data www-data 4096 Jul 23 02:56 API
    1541372 drwxr-sr-x+ 4 www-data www-data 4096 Jul 23 02:56 Admin
    1541805 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Attribute
    1541867 drwxr-sr-x+ 4 www-data www-data 4096 Jul 23 02:56 BookingProduct
    1542013 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 CMS
    1542047 drwxr-sr-x+ 3 www-data www-data 4096 Mar 24 15:13 CartRule
    1542096 drwxr-sr-x+ 3 www-data www-data 4096 Mar 24 15:13 CatalogRule
    1542137 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Category
    1542174 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Checkout
    1542235 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Core
    1542385 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Customer
    1542470 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Inventory
    1542498 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Payment
    1542515 drwxr-sr-x+ 3 www-data www-data 4096 Mar 24 15:13 Paypal
    1542532 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Product
    1542679 drwxr-sr-x+ 3 www-data www-data 4096 Mar 24 15:13 Rule
    1542685 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Sales
    1542773 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Shipping
    1542791 drwxr-sr-x+ 4 www-data www-data 4096 Jul 23 02:56 Shop
    1543119 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Tax
    1543160 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 Theme
    1543177 drwxr-sr-x+ 4 www-data www-data 4096 Jul 23 02:56 Ui
    1543425 drwxr-sr-x+ 3 www-data www-data 4096 Jul 23 02:56 User
    1543475 drwxr-sr-x+ 5 www-data www-data 4096 Jul 23 02:56 Velocity



  • @mikeyapina

    WHAT PART OF I AM TRYGIN TO UPGRADE TO 1.1.2 DONT YOU NOT UNDERSTAND AND IT DOES NOT PULL AND INTALL ALTHOUGH IT SAYS IT THE LATEST



  • @Vaishali-Agarwal I AM STULLL DOWN 500 ERROR



  • @mikeyapina
    concern person is looking your ticket & will respond you soon.
    We appreciate your patience!



  • @Vaishali-Agarwal WHAT IS HAPPENING NOW MY SERVER IS COMPELTEY DOWN WITH ERRORS EVERWHERE!

    IS THIS WHAT YOU GUYS CLL AN UPGRADE!



  • @Vaishali-Agarwal 6 months of work has been written over by your not correct upgrade instructions! What a horrible package this is turning out to be.



  • i fixed it. by wiping everyting and starting over. sad way to do this nowi have to start over.


Log in to reply